| Home · API Reference · Modules

Public Types | Public Slots | Signals | Public Member Functions | Properties | List of all members
MKeyOverride Class Reference
Maliit server

`#include <keyoverride.h>`

Inheritance diagram for MKeyOverride:
[legend]

## Public Types

enum | KeyOverrideAttribute

## Public Slots

void | setLabel (const QString &label)
void | setIcon (const QString &icon)
void | setHighlighted (bool highlighted)
void | setEnabled (bool enabled)

## Signals

void | keyAttributesChanged (const QString &keyId, const MKeyOverride::KeyOverrideAttributes changedAttributes)
void | labelChanged (const QString &label)
void | iconChanged (const QString &icon)
void | highlightedChanged (bool highlighted)
void | enabledChanged (bool enabled)

## Public Member Functions

| MKeyOverride (const QString &keyId)
| MKeyOverride (const MKeyOverride &)
virtual | ~MKeyOverride ()
const MKeyOverride & | operator= (const MKeyOverride &other)
QString | keyId () const
QString | label () const
QString | icon () const
bool | highlighted () const
bool | enabled () const

## Properties

QString | label
QString | icon
bool | highlighted
bool | enabled

## Detailed Description

MKeyOverride is used to store key attribute overrides for virtual keyboard.

## Member Enumeration Documentation

## ◆ KeyOverrideAttribute

enum MKeyOverride::KeyOverrideAttribute

Defines all the attributes of an key override.

Enumerator
Label |
Icon |
Highlighted |
Enabled |
All |

## Constructor & Destructor Documentation

## ◆ MKeyOverride() [1/2]

MKeyOverride::MKeyOverride | ( | const QString & | keyId | ) |

explicit

Constructor.

## ◆ MKeyOverride() [2/2]

MKeyOverride::MKeyOverride | ( | const MKeyOverride & | other | ) |

Copy constructor.

## ◆ ~MKeyOverride()

MKeyOverride::~MKeyOverride | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ◆ enabled()

bool MKeyOverride::enabled | ( |  | ) | const

Return true if the key is enabled; otherwise return false.

## ◆ enabledChanged

void MKeyOverride::enabledChanged | ( | bool | enabled | ) |

signal

Emitted when enabled is changed.

This signal is emitted before keyAttributesChanged signal.

## ◆ highlighted()

bool MKeyOverride::highlighted | ( |  | ) | const

Return true if the key is highlighted; otherwise return false.

## ◆ highlightedChanged

void MKeyOverride::highlightedChanged | ( | bool | highlighted | ) |

signal

Emitted when highlighted is changed.

This signal is emitted before keyAttributesChanged signal.

## ◆ icon()

QString MKeyOverride::icon | ( |  | ) | const

Returns icon name.

## ◆ iconChanged

void MKeyOverride::iconChanged | ( | const QString & | icon | ) |

signal

Emitted when icon is changed.

This signal is emitted before keyAttributesChanged signal.

## ◆ keyAttributesChanged

void MKeyOverride::keyAttributesChanged | ( | const QString & | keyId,
|  | const MKeyOverride::KeyOverrideAttributes | changedAttributes )

signal

Emitted when some attributes of the key are changed.

This signal is emitted after attribute specific signal.

Parameters

  keyId,the | key id.
  changedAttributes | Specifies the changed attributes.

See also
  KeyOverrideAttribute

## ◆ keyId()

QString MKeyOverride::keyId | ( |  | ) | const

Returns the key id.

## ◆ label()

QString MKeyOverride::label | ( |  | ) | const

Returns text from the key.

## ◆ labelChanged

void MKeyOverride::labelChanged | ( | const QString & | label | ) |

signal

Emitted when label is changed.

This signal is emitted before keyAttributesChanged signal.

## ◆ operator=()

const MKeyOverride & MKeyOverride::operator= | ( | const MKeyOverride & | other | ) |

## ◆ setEnabled

void MKeyOverride::setEnabled | ( | bool | enabled | ) |

slot

If enabled is true, the key is enabled; otherwise, it is disabled.

## ◆ setHighlighted

void MKeyOverride::setHighlighted | ( | bool | highlighted | ) |

slot

Set highlighted state for item.

## ◆ setIcon

void MKeyOverride::setIcon | ( | const QString & | icon | ) |

slot

Sets icon name.

## ◆ setLabel

void MKeyOverride::setLabel | ( | const QString & | label | ) |

slot

Sets text for the key.

## Property Documentation

## ◆ enabled

bool MKeyOverride::enabled

read write

## ◆ highlighted

bool MKeyOverride::highlighted

read write

## ◆ icon

QString MKeyOverride::icon

read write

## ◆ label

QString MKeyOverride::label

read write

Copyright © 2011 Nokia Corporation |  | Maliit